@font-face {
    font-family: 'jetbrains-mono';
    src: url('/assets/fonts/jetbrains-mono/JetBrainsMono-Regular.woff2');
}

@font-face {
    font-family: 'gg-sans';
    src: url('/assets/fonts/gg-sans/gg sans Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'gg-sans';
    src: url('/assets/fonts/gg-sans/gg sans Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@keyframes slideInFromBottom {
    from {
        opacity: 0;
        transform: translateY(50%);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideInFromBottomOnTop {
    from {
        z-index: -25;
        opacity: 0;
        transform: translateY(50%);
    }

    to {
        z-index: 1;
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes switchView {
    from {
        opacity: 0;
        transform: translateY(5%);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes hoverIn {
    from { 
        /* rotate: 0deg; */
        transform: translateY(0px) rotateY(0deg);
    }

    to {
        /* rotate: -3deg; */
        transform: translateY(-10px) rotateY(15deg);
    }
}

@keyframes hoverOut {
    from { 
        /* rotate: -3deg; */
        transform: translateY(-10px) rotateY(15deg);
    }

    to {
        /* rotate: 0deg; */
        transform: translateY(0px) rotateY(0deg);
    }
}

* {
    cursor: url('/assets/cursors/silence-suzuka/normal.png') 1 1, auto;
}

html,
body {
    height: 100%;
    background-color: #1d1d1d;
    margin: 0;
}

.view {
    display: none;
}

.view.active {
    display: block;
}

.view-container.animating {
    animation: switchView 0.5s ease-out;
}

.container {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
    padding-top: 10px;
}

.box {
    --box-height: 50px;

    position: relative;
    background-color: #202427;
    border-style: solid;
    border-color: #b6b6b6;
    border-width: 2px;
    box-shadow: 0 6px 6px rgba(0, 0, 0, 0.2);
    margin: 0px auto;
    max-width: 600px;
    display: flex;
    align-items: center;
    height: var(--box-height);
}

.box .miku {
    animation: 0.5s ease-out 0s 1 slideInFromBottomOnTop;
    position: absolute;
    image-rendering: pixelated;
    top: -70%;
    right: 3%;
    z-index: 0;
    user-select: none;
}

.box .kanade {
    animation: 0.5s ease-out 0s 1 slideInFromBottom;
    position: absolute;
    image-rendering: pixelated;
    top: -85%;
    left: 1%;
    z-index: -1;
    max-height: 50px;
    user-select: none;
}

.box .title {
    --blinking-underscore: "_";

    font-family: jetbrains-mono, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 20px;
    color: white;
    padding-left: 15px;
    width: 100%;
}

.box .title::before {
    color: gray;
    content: "> "
}

.box .title::after {
    color: gray;
    content: var(--blinking-underscore)
}

.box2 {
    --box-height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: var(--box-height);
    margin-top: 10px;
}

.box2 p {
    margin: 0;
    text-align: center;
    color: white;
    font-weight: 400;
    font-family: gg-sans, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    cursor: url('/assets/cursors/silence-suzuka/text.png') 6 10, auto;
}

.box2 p.bold {
    font-weight: 700;
}

.discord {
    /* background-image: url('assets/discord.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 30%;
    background-blend-mode: soft-light; */
    background-image: url('assets/banner.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: soft-light;
    --box-height: 150px;
    width: 400px;
    border-color: #2d2d2d52;
    background-color: #1d1d1d;
    transform-style: preserve-3d;
}

.discord:hover {
    animation: hoverIn 0.4s forwards;
}

.discord:not(:hover) {
    animation: hoverOut 0.4s forwards;
}

.pfp {
    height: 100px;
    width: 100px;
    border-radius: 50%;
    outline-style: solid;
    outline-width: 2px;
    outline-color: white;
    user-select: none;
}

.username {
    position: relative;
    bottom: 25px;
    padding-left: 20px;
    font-size: 25px;
}

.header {
    font-size: 25px;
}

.tag {
    position: relative;
    background-color: #333338;
    box-shadow: 0 6px 6px rgba(0, 0, 0, 0.2);
    height: 25px;
    width: 70px;
    border-radius: 4px;
    margin-bottom: 15%;
    margin-left: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    image-rendering: pixelated;
}

.tag-icon {
    padding-right: 4px;
    height: 20px;
    user-select: none;
}

.server-buttons {
    position: absolute;
    display: flex;
    gap: 10px;
    margin-top: 50px;
    margin-left: 130px;
    backdrop-filter: blur(4px);
}

.server-button {
    background-color: #2d2d2d52;
    border-style: solid;
    border-color: #313131;
    border-radius: 8px;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    font-family: gg-sans, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    cursor: pointer;
    white-space: nowrap;
    padding: 8px 16px;
}

.user-row {
    display: flex;
    align-items: center;
    margin-left: 15px;
}

.link,
.link * {
    cursor: url('/assets/cursors/silence-suzuka/select.png') 5 0, auto;
}

.nav {
    position: relative;
    display: flex;
    gap: 10px;
    padding-left: 0;
    justify-content: flex-end;
    width: 100%;
    padding-right: 15px;
}

.nav-button {
    position: relative;
    background-color: #2d2d2d52;
    border-style: solid;
    border-color: #313131;
    border-radius: 8px;
    color: rgb(159, 156, 156);
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    font-family: gg-sans, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    cursor: pointer;
    white-space: nowrap;
    padding: 4px 8px 4px 8px;
    cursor: url('/assets/cursors/silence-suzuka/select.png') 5 0, auto;
}

.nav-button:hover {
    border-color: #7f7c7c;
}

.nav-button.selected {
    background-color: #3b3b3bcc;
    color: white;
    border-color: #7f7c7c;
}

.music-player {
    position: absolute;
    bottom: 0;
    padding-top: 80px;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    gap: 5px;
    background-image: url('/assets/songimages/image1.jpg');
    background-size: cover;
    box-shadow: inset 0 0 0 100vw rgba(0, 0, 0, 0.5);
    border-top-right-radius: 16px;
    outline-style: solid;
    outline-color: #b6b6b6;
    outline-width: 2px;
    padding-right: 5px;
}

.music-player * {
    cursor: url('/assets/cursors/silence-suzuka/select.png') 5 0, auto;
}

.lyric {
    position: absolute;
    animation: switchView 0.5s ease-out;
    opacity: 1;
    transition: opacity 1s ease;
    background-color: rgba(0, 0, 0, 0.7);
    font-family: gg-sans, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: #FFFFFF;
    background-color: #202427b4;
    backdrop-filter: blur(2px);
    border-style: solid;
    border-color: #b6b6b651;
    border-width: 2px;
    border-radius: 5px;
    max-width: fit-content;
    pointer-events: none;
    padding: 3px 10px;
    border-radius: 4px;
    font-size: 16px;
    margin-left: 4px;
}

.vertical-stack {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    flex-direction: column;
    gap: 5px;
}